﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
  white-space: normal;
  text-align: center;
  word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
  color: #0366d6;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  font-size: 14px;
}
@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.border-top {
  border-top: 1px solid #e5e5e5;
}
.border-bottom {
  border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
  box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
  font-size: 1rem;
  line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
  position: relative;
  min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: #ececec;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
    background-color: #cccccc;
}


/* ADB - DOI
-------------------------------------------------- */
nav.navbar-doi {
    background-color: #4c4a48;
    /*color: #ffffff;*/
}
.navbar-doi-sticky {
    position: sticky;
    top: 0;
    z-index: 1071;
}

a.logo {
    float: left;
    position: absolute;
    top: 0;
    -webkit-box-shadow: 4px 4px 5px 1px rgba(76,74,72,.1);
    -moz-box-shadow: 4px 4px 5px 1px rgba(76,74,72,.1);
    box-shadow: 4px 4px 5px 1px rgba(76,74,72,.1);
}

.doi, .doi-external {
    text-decoration: none;
    display: inline-block;
    font-size: 12px;
}
.doi span:first-of-type, .doi-external span:first-of-type {
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    background: #09c;
    padding: 0 4px;
    border-radius: 5px 0 0 5px;
    color: #fff;
    border-right-width: 0;
    border-color: #09c;
    margin-left: inherit;
}
.doi-external span {
    margin-left: -3px;
    padding: 0 3px;
}
.doi-external span:last-of-type {
    background: #fff;
    padding: 0 10px;
    background-origin: content-box;
    background-image: url("../image/new_tab.png");
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: center;
    background-size: 9px;
    border-radius: 0 5px 5px 0;
    border-left-width: 0;
    margin-left: -1px;
}
.doi span:last-of-type {
    background: #fff;
    padding: 0 7px;
    border-radius: 0 5px 5px 0;
    border-left-width: 0;
    margin-left: -3px;
}
.doi-card:first-of-type {
    margin-top: 0
}
.doi-card {
    margin-top: 0.625rem;
}
.doi-min-width {
    min-width: 300px;
}
.card {
    /*box-shadow: 4px 4px 5px 1px rgba(76,74,72,.1);*/
    -webkit-box-shadow: 0 0.25rem 0.75rem rgba(230,230,230,0.3);
    -moz-box-shadow: 0 0.25rem 0.75rem rgba(230,230,230,0.3);
    box-shadow: 0 0.25rem 0.75rem rgba(230,230,230,0.3);
}
.scroll-card {
    max-height: 500px;
    overflow-y: auto;
}
.main-card {
    margin-top: 1.25rem;
}
a.doi:hover, a.doi-external:hover, a.external-link:hover {
    color: #007bff;
    text-decoration: none;
}
a.external-link {
    background-image: url("../image/new_tab.png");
    background-repeat: no-repeat;
    background-position-x: right;
    background-position-y: center;
    background-size: 9px;
}
.doi span:first-of-type:hover, .doi-external span:first-of-type:hover {
    background: #000;
}
.doi span, .doi-external span {
    border: 1px solid #dbe3e7;
}
a.doi-download img {
    width: 48px;
    filter: invert(61%) sepia(15%) saturate(1393%) hue-rotate(166deg) brightness(90%) contrast(87%);
}
a.doi-download:hover {
    text-decoration: none;
}
a.doi-download img:hover {
    filter: none;
}

/* Style the Image Used to Trigger the Modal */
.doiImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
    /*max-width: 300px;*/
    max-width: 100%;
    -webkit-box-shadow: 0 0.25rem 0.75rem rgb(230 230 230);
    -moz-box-shadow: 0 0.25rem 0.75rem rgb(230 230 230);
    box-shadow: 0 0.25rem 0.75rem rgb(230 230 230);
}

.doiImg:hover {
    opacity: 0.9;
    -webkit-box-shadow: 0 0.25rem 0.75rem rgb(150 150 150);
    -moz-box-shadow: 0 0.25rem 0.75rem rgb(150 150 150);
    box-shadow: 0 0.25rem 0.75rem rgb(150 150 150);
}

.doiModalImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

/* The Modal (background) */
.doiModal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.doiModal-content {
    margin: auto;
    display: block;
    /*width: 80%;*/
    /*max-width: 700px;*/
    width: unset;
}

/* Add Animation - Zoom in the Modal */
.doiModal-content {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform: scale(0)}
    to {transform: scale(1)}
}

/* The Close Button */
.doiClose {
    position: absolute;
    top: 15px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.doiClose:hover,
.doiClose:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}
/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 1100px) {
    .doiModal-content {
        width: 90%;
    }
}